
QGIS Application - Bug report #17630

Annotations not showing in Composer on OSX

2017-12-05 02:39 PM - Eron Lloyd

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.18.14 Regression?: Yes

Operating System: OSX Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25527

Description

I am reporting a confirmed bug with creating Composer maps that have canvas annotations

1

. Using OS X the annotations are displayed

on the map but do not show up in the Composer nor any rendered files from Composer. This is with the check box to display canvas items

selected. The same project file, however, loaded in a Windows desktop, will load annotations in Composer just fine.

The two environments I tested in was OS X 10.13.1 running QGIS 2.18.14, and Windows 7 Pro running QGIS 2.18.14.

[1] https://gis.stackexchange.com/questions/255906/text-annotation-not-appearing-in-print-composer/262304

History

#1 - 2017-12-05 09:04 PM - Giovanni Manghi

- Status changed from Open to Feedback

Could you give a try on QGIS master (where the composer was overhauled)?

#2 - 2017-12-09 08:38 PM - Eron Lloyd

Is there a specific OS X build that is available to try? It looks like the Dakota Cartography nightly builds haven't been maintained... I'd love to test the 3.0

RC, but don't see a package for that, either.

#3 - 2018-02-23 05:21 PM - Giovanni Manghi

QGIS 3 is "out", wait for the packages, test and leave feedback, thanks!

#4 - 2018-06-03 11:28 PM - Eron Lloyd

Eron Lloyd wrote:

Is there a specific OS X build that is available to try? It looks like the Dakota Cartography nightly builds haven't been maintained... I'd love to test the

3.0 RC, but don't see a package for that, either.

Fixed! Thanks for the follow up, Giovanni :-)
#5 - 2018-06-04 01:26 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
